tree< T, tree_node_allocator >::pre_order_iterator Class Reference

Depth-first iterator, first accessing the node, then its children. More...

Inheritance diagram for tree< T, tree_node_allocator >::pre_order_iterator:

## Public Member Functions

| pre_order_iterator (tree_node *)
| pre_order_iterator (const iterator_base &)
| pre_order_iterator (const sibling_iterator &)
bool | operator== (const pre_order_iterator &) const
bool | operator!= (const pre_order_iterator &) const
pre_order_iterator & | operator++ ()
pre_order_iterator & | operator-- ()
pre_order_iterator | operator++ (int)
pre_order_iterator | operator-- (int)
pre_order_iterator & | operator+= (unsigned int)
pre_order_iterator & | operator-= (unsigned int)
| pre_order_iterator (tree_node *)
| pre_order_iterator (const iterator_base &)
| pre_order_iterator (const sibling_iterator &)
bool | operator== (const pre_order_iterator &) const
bool | operator!= (const pre_order_iterator &) const
pre_order_iterator & | operator++ ()
pre_order_iterator & | operator-- ()
pre_order_iterator | operator++ (int)
pre_order_iterator | operator-- (int)
pre_order_iterator & | operator+= (unsigned int)
pre_order_iterator & | operator-= (unsigned int)
| pre_order_iterator (tree_node *)
| pre_order_iterator (const iterator_base &)
| pre_order_iterator (const sibling_iterator &)
bool | operator== (const pre_order_iterator &) const
bool | operator!= (const pre_order_iterator &) const
pre_order_iterator & | operator++ ()
pre_order_iterator & | operator-- ()
pre_order_iterator | operator++ (int)
pre_order_iterator | operator-- (int)
pre_order_iterator & | operator+= (unsigned int)
pre_order_iterator & | operator-= (unsigned int)

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::pre_order_iterator

Depth-first iterator, first accessing the node, then its children.

Definition at line 161 of file lib/tree.hh.

The documentation for this class was generated from the following files:

- lib/tree.hh
- libofx-0.9.5/lib/tree.hh
- tar-pax-libofx/lib/tree.hh